Github messages for voidlinux
 help / color / Atom feed
* [PR PATCH] docker-compose: update to 1.25.5_1
@ 2020-06-01 15:30 the-eater
  2020-06-01 15:41 ` DirectorX
  2020-06-01 15:49 ` [PR PATCH] [Updated] " the-eater
  0 siblings, 2 replies; 3+ messages in thread
From: the-eater @ 2020-06-01 15:30 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 423 bytes --]

There is a new pull request by the-eater against master on the void-packages repository

https://github.com/the-eater/neo-void-packages update/docker-compose/1.25.5
https://github.com/void-linux/void-packages/pull/22499

docker-compose: update to 1.25.5_1
Makes sure docker-compose works again with the new `python3-docker` version

A patch file from https://github.com/void-linux/void-packages/pull/22499.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update/docker-compose/1.25.5-22499.patch --]
[-- Type: text/x-diff, Size: 1940 bytes --]

From 9d53cc07ea3404b5619799bf6f04dce7a60c1af5 Mon Sep 17 00:00:00 2001
From: eater <=@eater.me>
Date: Mon, 1 Jun 2020 17:29:40 +0200
Subject: [PATCH] docker-compose: update to 1.25.5_1

---
 srcpkgs/docker-compose/patches/pyyaml_version.patch | 13 -------------
 srcpkgs/docker-compose/template                     |  6 +++---
 2 files changed, 3 insertions(+), 16 deletions(-)
 delete mode 100644 srcpkgs/docker-compose/patches/pyyaml_version.patch

diff --git a/srcpkgs/docker-compose/patches/pyyaml_version.patch b/srcpkgs/docker-compose/patches/pyyaml_version.patch
deleted file mode 100644
index 77c69fd89a5..00000000000
--- a/srcpkgs/docker-compose/patches/pyyaml_version.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/setup.py b/setup.py
-index 8371cc756ee0..5e27ab7c5d0e 100644
---- a/setup.py
-+++ b/setup.py
-@@ -32,7 +32,7 @@ def find_version(*file_paths):
- install_requires = [
-     'cached-property >= 1.2.0, < 2',
-     'docopt >= 0.6.1, < 0.7',
--    'PyYAML >= 3.10, < 4.3',
-+    'PyYAML >= 3.10',
-     'requests >= 2.6.1, != 2.11.0, != 2.12.2, != 2.18.0, < 2.21',
-     'texttable >= 0.9.0, < 0.10',
-     'websocket-client >= 0.32.0, < 1.0',
diff --git a/srcpkgs/docker-compose/template b/srcpkgs/docker-compose/template
index f4a34005c83..fe53bb25260 100644
--- a/srcpkgs/docker-compose/template
+++ b/srcpkgs/docker-compose/template
@@ -1,7 +1,7 @@
 # Template file for 'docker-compose'
 pkgname=docker-compose
-version=1.24.1
-revision=3
+version=1.25.5
+revision=1
 archs=noarch
 wrksrc="compose-${version}"
 build_style=python3-module
@@ -16,7 +16,7 @@ maintainer="pancake <pancake@nopcode.org>"
 license="Apache-2.0"
 homepage="https://docs.docker.com/compose/"
 distfiles="https://github.com/docker/compose/archive/${version}.tar.gz"
-checksum=63a0e0d3819ff77aebd3d5ea30f77b36475ed522c4dabed2eb10636e35aa9370
+checksum=c04d4858b456f5806618fe7a49fadd3f1ccb8f10cf6e499bcf7fdee80a93c21a
 patch_args="-Np1"
 
 

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: docker-compose: update to 1.25.5_1
  2020-06-01 15:30 [PR PATCH] docker-compose: update to 1.25.5_1 the-eater
@ 2020-06-01 15:41 ` DirectorX
  2020-06-01 15:49 ` [PR PATCH] [Updated] " the-eater
  1 sibling, 0 replies; 3+ messages in thread
From: DirectorX @ 2020-06-01 15:41 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 197 bytes --]

New comment by DirectorX on void-packages repository

https://github.com/void-linux/void-packages/pull/22499#issuecomment-636930081

Comment:
https://github.com/void-linux/void-packages/pull/22500

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PR PATCH] [Updated] docker-compose: update to 1.25.5_1
  2020-06-01 15:30 [PR PATCH] docker-compose: update to 1.25.5_1 the-eater
  2020-06-01 15:41 ` DirectorX
@ 2020-06-01 15:49 ` the-eater
  1 sibling, 0 replies; 3+ messages in thread
From: the-eater @ 2020-06-01 15:49 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 428 bytes --]

There is an updated pull request by the-eater against master on the void-packages repository

https://github.com/the-eater/neo-void-packages update/docker-compose/1.25.5
https://github.com/void-linux/void-packages/pull/22499

docker-compose: update to 1.25.5_1
Makes sure docker-compose works again with the new `python3-docker` version

A patch file from https://github.com/void-linux/void-packages/pull/22499.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-update/docker-compose/1.25.5-22499.patch --]
[-- Type: text/x-diff, Size: 2156 bytes --]

From 193028869274c7c9c5725ba4a7c8a8c4a504d877 Mon Sep 17 00:00:00 2001
From: eater <=@eater.me>
Date: Mon, 1 Jun 2020 17:29:40 +0200
Subject: [PATCH] docker-compose: update to 1.25.5_1

---
 srcpkgs/docker-compose/patches/pyyaml_version.patch | 13 -------------
 srcpkgs/docker-compose/template                     |  7 +++----
 2 files changed, 3 insertions(+), 17 deletions(-)
 delete mode 100644 srcpkgs/docker-compose/patches/pyyaml_version.patch

diff --git a/srcpkgs/docker-compose/patches/pyyaml_version.patch b/srcpkgs/docker-compose/patches/pyyaml_version.patch
deleted file mode 100644
index 77c69fd89a5..00000000000
--- a/srcpkgs/docker-compose/patches/pyyaml_version.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/setup.py b/setup.py
-index 8371cc756ee0..5e27ab7c5d0e 100644
---- a/setup.py
-+++ b/setup.py
-@@ -32,7 +32,7 @@ def find_version(*file_paths):
- install_requires = [
-     'cached-property >= 1.2.0, < 2',
-     'docopt >= 0.6.1, < 0.7',
--    'PyYAML >= 3.10, < 4.3',
-+    'PyYAML >= 3.10',
-     'requests >= 2.6.1, != 2.11.0, != 2.12.2, != 2.18.0, < 2.21',
-     'texttable >= 0.9.0, < 0.10',
-     'websocket-client >= 0.32.0, < 1.0',
diff --git a/srcpkgs/docker-compose/template b/srcpkgs/docker-compose/template
index f4a34005c83..606a8f365f3 100644
--- a/srcpkgs/docker-compose/template
+++ b/srcpkgs/docker-compose/template
@@ -1,11 +1,10 @@
 # Template file for 'docker-compose'
 pkgname=docker-compose
-version=1.24.1
-revision=3
+version=1.25.5
+revision=1
 archs=noarch
 wrksrc="compose-${version}"
 build_style=python3-module
-pycompile_module="compose"
 hostmakedepends="python3-setuptools"
 depends="python3-setuptools python3-jsonschema python3-docker>=3.7.0
  python3-dockerpty python3-websocket-client python3-requests python3-docopt
@@ -16,7 +15,7 @@ maintainer="pancake <pancake@nopcode.org>"
 license="Apache-2.0"
 homepage="https://docs.docker.com/compose/"
 distfiles="https://github.com/docker/compose/archive/${version}.tar.gz"
-checksum=63a0e0d3819ff77aebd3d5ea30f77b36475ed522c4dabed2eb10636e35aa9370
+checksum=c04d4858b456f5806618fe7a49fadd3f1ccb8f10cf6e499bcf7fdee80a93c21a
 patch_args="-Np1"
 
 

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, back to index

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-06-01 15:30 [PR PATCH] docker-compose: update to 1.25.5_1 the-eater
2020-06-01 15:41 ` DirectorX
2020-06-01 15:49 ` [PR PATCH] [Updated] " the-eater

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git